# $Revision: 1.15 $, $Date: 2001/09/18 18:20:08 $
Summary:	GTK+ interface plugin for licq
Summary(pl):	Wtyczka dla licq dostarczajca interfejs GTK+
Name:		licq-gtk
Version:	0.51
Release:	1
License:	GPL
Group:		Applications/Communications
Group(de):	Applikationen/Kommunikation
Group(pl):	Aplikacje/Komunikacja
Source0:	http://gtk.licq.org/download/gtk+licq-%{version}.tar.gz
Source1:	licq-gtk_gui.desktop
URL:		http://gtk.licq.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{!?_without_gnome:BuildRequires:	esound-devel}
%{!?_without_gnome:BuildRequires:	db3-devel}
BuildRequires:	gettext-devel
%{!?_without_gnome:BuildRequires:	gnome-core-devel}
BuildRequires:	gtk+-devel
BuildRequires:	licq-devel >= 1.0.2
BuildRequires:	libltdl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	perl
BuildRequires:	pspell-devel
Requires:	licq >= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _x11_datadir	/usr/X11R6/share/data

%description
GTK+ interface plugin for licq.

%description -l pl
Wtyczka dla licq dostarczajca interfejs GTK+.

%prep
%setup -n gtk+licq-%{version} -q

%build
rm missing
gettextize --copy --force
libtoolize --copy --force
aclocal
autoconf
automake -a -c
%configure \
	%{?_without_gnome:--disable-gnome} \
	%{!?_without_gnome:--enable-gnome}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_applnkdir}/Network/Communications

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT" \
	gtklicq_helpdir=%{_x11_datadir}/gnome/help/gtk+licq/C

install %{SOURCE1} $RPM_BUILD_ROOT/%{_applnkdir}/Network/Communications

# gtk+licq is proper here! Don't add --all-name
%find_lang gtk+licq %{name}.lang  --with-gnome

gzip -9nf AUTHORS NEWS README ChangeLog 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root)%{_libdir}/licq/*
%{_datadir}/licq/gtk-gui
%{_applnkdir}/Network/Communications/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: licq-gtk.spec,v $
Revision 1.15  2001/09/18 18:20:08  kloczek
- cosmetics.

Revision 1.14  2001/09/18 07:58:36  alchemyx
- updated to 0.51 (much more stable!)
- removed unnecessary makefile patch
- added buildrequires for libltdl-devel
- STB

Revision 1.13  2001/06/28 19:19:34  jajcus
- s/no_gnome/_without_gnome/
- s/--without-gnome/--disable-gnome/, s/--with-gnome/--enable-gnome/

Revision 1.12  2001/06/02 23:09:27  misiek
- rebuild libtool stuff, too

Revision 1.11  2001/03/05 21:44:45  misiek
gnome/help is now catched by find-lang.sh from rpm

Revision 1.10  2001/03/05 21:19:37  misiek
should be ok

Revision 1.8  2001/03/05 18:50:46  kloczek
- removed commented outdated patches,
- added pspell-devel to BuildRequires,
- replace gnome-libs-devel by gnome-core-devel Buildrequires rule.

Revision 1.7  2001/03/05 17:15:33  alchemyx
- updated to 0.50.1
- patches hashed (do we need them?)
- changed BuildRequires, it requires at least 1.0.0
- hashed line in prep, because it makes compliation impossible
- release 1
- STB

Revision 1.6  2001/02/17 01:22:04  michuz
- release 4
- %%{_applnk}/Network changed to %%{_applnk}/Network/Communications

Revision 1.5  2000/09/29 10:57:27  mkochano
- Release 3.
- Added desktop file.

Revision 1.4  2000/09/28 14:47:01  kloczek
- cosmetics.

Revision 1.3  2000/09/28 12:34:42  mkochano
- Release 2.
- Addes BuildRequires: esound-devel, gnome-libs-devel.
- BuildRequires: glibc-db2-devel replaced with db2-devel.
- Building gnome support can be disabled using --define "no_gnome 1".

Revision 1.2  2000/09/27 22:04:43  klakier
- BuildRequires glibc-db2-devel (maybe db2-devel is suitable too,
  anybody correct this)

Revision 1.1  2000/09/27 18:36:55  mkochano
- Written from template.
- Builds, works. IMHO much better than qt-gui. Doesn't crash so often, at
  least.
